aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/run-dialyzer
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/run-dialyzer')
-rwxr-xr-xscripts/run-dialyzer16
1 files changed, 16 insertions, 0 deletions
diff --git a/scripts/run-dialyzer b/scripts/run-dialyzer
new file mode 100755
index 0000000000..05c1fd63c0
--- /dev/null
+++ b/scripts/run-dialyzer
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+set -e
+
+$ERL_TOP/bin/dialyzer --build_plt --apps asn1 compiler crypto dialyzer edoc erts et hipe inets kernel mnesia observer public_key runtime_tools snmp ssh ssl stdlib syntax_tools wx xmerl --statistics
+$ERL_TOP/bin/dialyzer -n -Wunknown -Wunmatched_returns --apps compiler erts kernel stdlib asn1 crypto dialyzer hipe parsetools public_key runtime_tools sasl tools --statistics
+$ERL_TOP/bin/dialyzer -n --apps common_test debugger edoc inets mnesia observer ssh ssl syntax_tools wx xmerl --statistics
+
+# In travis we don't dialyze everything as it takes too much time
+if [ "X$DIALYZE_ALL_APPLICATIONS" = "Xtrue" ]; then
+ $ERL_TOP/bin/dialyzer -n -Wunknown -Wunmatched_returns --apps eldap erl_docgen et odbc --statistics
+ $ERL_TOP/bin/dialyzer -n --apps eunit reltool os_mon --statistics
+
+ # These application are not run always as the currently have dialyzer warnings
+ # $ERL_TOP/bin/dialyzer -n --apps cosEvent cosEventDomain cosFileTransfer cosNotification cosProperty cosTime cosTransactions diameter megaco orber snmp --statistics
+fi